org.apache.cassandra.gms

## Interface FailureDetectorMBean

- All Known Implementing Classes:
    FailureDetector

      public interface FailureDetectorMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dumpInterArrivalTimes()`
    `java.lang.String` | `getAllEndpointStates()`
    `int` | `getDownEndpointCount()`
    `java.lang.String` | `getEndpointState(java.lang.String address)`
    `double` | `getPhiConvictThreshold()`
    `javax.management.openmbean.TabularData` | `getPhiValues()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getSimpleStates()`
    `int` | `getUpEndpointCount()`
    `void` | `setPhiConvictThreshold(double phi)`

- - ### Method Detail

    - #### dumpInterArrivalTimes

          void dumpInterArrivalTimes()

    - #### setPhiConvictThreshold

          void setPhiConvictThreshold(double phi)

    - #### getPhiConvictThreshold

          double getPhiConvictThreshold()

    - #### getAllEndpointStates

          java.lang.String getAllEndpointStates()

    - #### getEndpointState

          java.lang.String getEndpointState(java.lang.String address)
                                     throws java.net.UnknownHostException

      Throws:
        `java.net.UnknownHostException`

    - #### getSimpleStates

          java.util.Map<java.lang.String,java.lang.String> getSimpleStates()

    - #### getDownEndpointCount

          int getDownEndpointCount()

    - #### getUpEndpointCount

          int getUpEndpointCount()

    - #### getPhiValues

          javax.management.openmbean.TabularData getPhiValues()
                                                       throws javax.management.openmbean.OpenDataException

      Throws:
        `javax.management.openmbean.OpenDataException`

Copyright © 2018 The Apache Software Foundation